de.esprit.netsuite.server.cfg.config

## Enum ServerConfigResourceDef

- java.lang.Object
- - java.lang.Enum<ServerConfigResourceDef>
  - - de.esprit.netsuite.server.cfg.config.ServerConfigResourceDef

- All Implemented Interfaces:
    ResourceDef, ServerFiles, java.io.Serializable, java.lang.Comparable<ServerConfigResourceDef>

      public enum ServerConfigResourceDef
      extends java.lang.Enum<ServerConfigResourceDef>
      implements ResourceDef, ServerFiles

  This enum defines the available resources in this package.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DERBY_EMB_CRED`
    `DERBY_NET_CRED`
    `SRV_DATASOURCE`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.project.ResourceDef

      `AUDIO_BASE, FILE_BASE, HELP_BASE, IMAGE_BASE, LAUNCH_BASE, LICENSE_BASE, RESOURCE_BASE, SQL_BASE, TRANSLATION_BASE`

    - ### Fields inherited from interface de.esprit.netsuite.server.cfg.ServerFiles

      `BATCH_TASK_HISTORY_FILENAME, BATCHTASK_CFG, CONFIG_DIR, DATASOURCE_CFG, GROUP_CFG, NETWORK_CFG, PARAM_CFG, REMOTE_TASK_HISTORY_FILENAME, SRVDATA_DIR, SRVHIST_DIR, SRVLOGS_DIR, SRVTASK_DIR, STARTUP_CFG, USER_CFG, WEBDATA_DIR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceDefAdapter` | `get()`
    `static ServerConfigResourceDef` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerConfigResourceDef[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DERBY_EMB_CRED

          public static final ServerConfigResourceDef DERBY_EMB_CRED

    - #### DERBY_NET_CRED

          public static final ServerConfigResourceDef DERBY_NET_CRED

    - #### SRV_DATASOURCE

          public static final ServerConfigResourceDef SRV_DATASOURCE

  - ### Method Detail

    - #### values

          public static ServerConfigResourceDef[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerConfigResourceDef c : ServerConfigResourceDef.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerConfigResourceDef valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public ResourceDefAdapter get()

      Specified by:
        `get` in interface `ResourceDef`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.